/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';

.backOfficeLayout {
  height: 100vh;
}

.mainContent {
  display: flex;
  align-items: stretch;
  width: 100%;
  flex-direction: column;
  background: white;
  flex: 1;

  &__header {
    height: $header-height;
  }

  &__content {
    flex: 1;
    overflow-y: auto;

    &.--withSidebar {
      max-width: calc(100vw - 60px);
    }

    &.--withPredefinedPadding {
      padding: 2.125rem 2.875rem;
    }

    &__titleContainer {
      display: flex;
      justify-content: space-between;
      margin-bottom: 2rem;
      align-items: center;
    }
  }
}
